Bug 840277 - [abrt] virt-manager-0.8.7-2.fc14: virt-manager.py:360:main:RuntimeError: could not open display
[abrt] virt-manager-0.8.7-2.fc14: virt-manager.py:360:main:RuntimeError: coul...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
abrt_hash:5d555bb6
:
: 879971 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 05:49 EDT by chuck elliot
Modified: 2012-12-16 11:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-02 20:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (920 bytes, text/plain)
2012-07-15 05:49 EDT, chuck elliot
no flags Details

  None (edit)
Description chuck elliot 2012-07-15 05:49:04 EDT
abrt version: 1.1.18
architecture: x86_64
cmdline: python /usr/share/virt-manager/virt-manager.py
component: virt-manager
executable: /usr/share/virt-manager/virt-manager.py
kernel: 2.6.35.14-106.fc14.x86_64
package: virt-manager-0.8.7-2.fc14
reason: virt-manager.py:360:main:RuntimeError: could not open display
release: Fedora release 14 (Laughlin)
time: 1342310035
uid: 0

backtrace
-----
virt-manager.py:360:main:RuntimeError: could not open display

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 467, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 360, in main
    raise gtk_error
RuntimeError: could not open display

Local variables in innermost frame:
gtk_error: RuntimeError('could not open display',)
e: RuntimeError('could not open display',)
warnings: <module 'warnings' from '/usr/lib64/python2.7/warnings.pyc'>
ignore: []
origargs: '/usr/share/virt-manager/virt-manager.py'
gobject: <module 'gobject' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gobject/__init__.pyc'>
options: <Values at 0xc55998: {'profile': None, 'nodbus': None, 'show_domain_console': None, 'no_conn_auto': None, 'uuid': None, 'nofork': None, 'show_domain_editor': None, 'show_domain_performance': None, 'show': None, 'uri': None, 'debug': False}>

How to reproduce
-----
1. run virtmanager from console
2. crash
3. requires X but should decline gracefully
Comment 1 chuck elliot 2012-07-15 05:49:07 EDT
Created attachment 598287 [details]
File: backtrace
Comment 2 Cole Robinson 2012-08-02 20:49:06 EDT
F14 is end of life, and this isn't really a bug, all python GTK apps error in the same way so not something I think we should really have to handle. A backtrace is informative enough IMO
Comment 3 Cole Robinson 2012-12-16 11:05:46 EST
*** Bug 879971 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.